import { IWidget } from '@csnext/cs-core';
import './layer-editor.css';
import { Vue } from 'vue-property-decorator';
import { BaseLayer } from '../..';
export declare class LayerEditor extends Vue {
    widget: IWidget;
    tabs: null;
    get layer(): BaseLayer | undefined;
    get layerColor(): string;
    updateLayer(): void;
}
